VSTGUI: NoViewLayouter Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NoViewLayouter Struct Referencefinal
New classes » Version 4.15

A view layouter that does not layout any views. More...

`#include <noviewlayouter.h>`

Inheritance diagram for NoViewLayouter:

## Public Member Functions
| NoViewLayouter ()=default
std::optional< ViewLayout > | calculateLayout (const CViewContainer &container, const Children &children, const CRect &newSize) override
| calculate the layout of the view.
Public Member Functions inherited from BaseViewLayouter
bool | applyLayout (CViewContainer &container, const Children &children, const ViewLayout &layout) override
| apply the previously calculated layout
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Additional Inherited Members
Public Types inherited from BaseViewLayouter
using | LayoutData = std::vector<BaseViewLayouterEntry>
Public Types inherited from IViewLayouter
using | Children = CViewContainer::ViewList

## Detailed Description

A view layouter that does not layout any views.

## Constructor & Destructor Documentation

## ◆ NoViewLayouter()

NoViewLayouter | ( |  | ) |
| default

## Member Function Documentation

## ◆ calculateLayout()

std::optional< ViewLayout > calculateLayout | ( | const CViewContainer & | view,
|  | const Children & | children,
|  | const CRect & | newSize )
| inlineoverridevirtual

calculate the layout of the view.

Note that the returned layout may have a different size than the newSize parameter when the layout is not possible with the given size.

Parameters

  view | the view to calculate the layout for
  children | the children of the view
  newSize | the new size of the view

Returns
  the calculated layout or std::nullopt if the layout could not be calculated

Implements IViewLayouter.

The documentation for this struct was generated from the following file:

- noviewlayouter.h